(function ($) {


var textareaFocussed;

Drupal.behaviors.VideoFilterFocus = {
	attach: function (context, settings) {
		$("textarea",context).focus( function() {
			var textAreaID = $(this,context).attr("id");
			if ( $(this,context).parents('.video-filter-textarea-container').length ) {
			  textareaFocussed = textAreaID;
			}
		});
		
		$("input#video-filter-submit",context).click( function(event) {
			event.preventDefault();
			var videotag = $("input#video-filter-input",context).val();

			if (videotag != "") {
				videotag = "[video:" + videotag + "]";
				if ( textareaFocussed == undefined ) textareaFocussed = $('.video-filter-textarea-container textarea').last().attr('id');
				$("textarea#"+ textareaFocussed,context).each(function() {
					// Plain textarea support
					if (document.selection) {
						this.focus();
						document.selection.createRange().text = videotag;
					}
					else if (this.selectionStart || this.selectionStart === 0) {
						var cursorPos = this.selectionEnd + videotag.length;
						this.value = this.value.substring(0, this.selectionStart) + videotag + this.value.substring(this.selectionEnd);
						this.selectionStart = this.selectionEnd = cursorPos;
					}
					else {
						this.value = this.value + videotag;
					}
					this.focus();
				});
			}
		});
	}
}


})(jQuery);
